#pragma once

#include "ShadowScene.h"
#include "Terrain.h"

#include "MeshObject.h"
#include "AirPlane.h"

class TerrainScene : public ShadowScene
{
	Terrain* m_pTerrain;

	void DoInvalidate(void);
	void DoRestore(void);

	void InitCamPositions(void);

public:
	TerrainScene(ShadowApp* const pApp);
	~TerrainScene(void);

	void ResetCam(void);
};
